unit Sdimain;

interface

uses Windows, Classes, Graphics, Forms, Controls, Menus,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls, twimage, Twapp;

type
  TSDIAppForm = class(TForm)
    MainMenu: TMainMenu;
    FileMenu: TMenuItem;
    OpenItem: TMenuItem;
    SaveItem: TMenuItem;
    ExitItem: TMenuItem;
    N1: TMenuItem;
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    Help1: TMenuItem;
    About1: TMenuItem;
    SpeedPanel: TPanel;
    OpenBtn: TSpeedButton;
    SaveBtn: TSpeedButton;
    ExitBtn: TSpeedButton;
    StatusBar: TStatusBar;
    TWAINApp1: TTWAINApp;
    Scan1: TMenuItem;
    SelectSource1: TMenuItem;
    Acquire1: TMenuItem;
    ScrollBox1: TScrollBox;
    TWImage: TTWAINImage;
    procedure ShowHint(Sender: TObject);
    procedure ExitItemClick(Sender: TObject);
    procedure OpenItemClick(Sender: TObject);
    procedure SaveItemClick(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SelectSource1Click(Sender: TObject);
    procedure Acquire1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SDIAppForm: TSDIAppForm;

implementation

uses About;

{$R *.DFM}

procedure TSDIAppForm.ShowHint(Sender: TObject);
begin
  StatusBar.SimpleText := Application.Hint;
end;

procedure TSDIAppForm.ExitItemClick(Sender: TObject);
begin
  Close;
end;

procedure TSDIAppForm.OpenItemClick(Sender: TObject);
begin
  if (OpenDialog.Execute) then
     TWImage.Picture.LoadFromFile(OpenDialog.Filename);
end;

procedure TSDIAppForm.SaveItemClick(Sender: TObject);
begin
  if (SaveDialog.Execute) then
     TWImage.Picture.SaveToFile(OpenDialog.Filename);
end;

procedure TSDIAppForm.About1Click(Sender: TObject);
begin
  AboutBox.ShowModal;
end;

procedure TSDIAppForm.FormCreate(Sender: TObject);
begin
  Application.OnHint := ShowHint;
end;

procedure TSDIAppForm.SelectSource1Click(Sender: TObject);
begin
   with TWImage do
   begin
      if TWAINAvailable then
         SelectSource
      else
         ShowMessage('No TWAIN devices available!');
   end;
end;

procedure TSDIAppForm.Acquire1Click(Sender: TObject);
begin
   with TWImage do
   begin
      if TWAINAvailable then
         Acquire
      else
         ShowMessage('No TWAIN devices available!');
   end;
end;

end.
 
